Bug 1658673 - Main index.html of web interface doesn't get installed when not installing documentation
Summary: Main index.html of web interface doesn't get installed when not installing do...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 16:12 UTC by Xavier
Modified: 2018-12-21 05:52 UTC (History)
3 users (show)

Fixed In Version: cups-2.2.8-9.fc29 cups-2.2.6-30.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 19:12:15 UTC
Type: ---


Attachments (Terms of Use)

Description Xavier 2018-12-12 16:12:42 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:63.0) Gecko/20100101 Firefox/63.0
Build Identifier: 

When you install cups on a system configured to not install documentation (for example, the fedora 29 docker image), when you access the web interface on http://localhost:631 you get "Not Found" instead. 
Looking at the spec file, the problem seems to be that the /usr/share/cups/www/index.html file is installed as documentation, but without the index file if you want to manage your printers you have to go directly to http://localhost:631/printers or http://localhost:631/admin : 

%doc %{_datadir}/%{name}/www/index.html
%doc %{_datadir}/%{name}/www/help
%doc %{_datadir}/%{name}/www/robots.txt
%doc %{_datadir}/%{name}/www/de/index.html
%doc %{_datadir}/%{name}/www/es/index.html
%doc %{_datadir}/%{name}/www/ja/index.html
%doc %{_datadir}/%{name}/www/ru/index.html
%doc %{_datadir}/%{name}/www/pt_BR/index.html
%doc %{_datadir}/%{name}/www/apple-touch-icon.png


Reproducible: Always

Steps to Reproduce:
1. Install cups with "dnf install --nodocs cups" or with the the line "tsflags=nodocs" in /etc/dnf/dnf.conf
2. Access http://localhost:631

Actual Results:  
You get the message "Not Found"

Expected Results:  
You should see the "home" tab of the web interface

Only the files under the help directory should be marked as documentation, I think. As it is, it's crippling the web interface. Anybody that doesn't know this will think that the web interface has stopped working.

Comment 1 Zdenek Dohnal 2018-12-12 16:48:52 UTC
Hi Xavier,

thank you for reporting the issue! I'm able to reproduce the issue and I agree www files shouldn't be as docs. I'll fix it.

Comment 2 Xavier 2018-12-12 17:26:05 UTC
Wow, that was a super quick response. Thank you very much.

Comment 3 Fedora Update System 2018-12-13 13:38:16 UTC
cups-2.2.8-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b00449f857

Comment 4 Fedora Update System 2018-12-13 13:57:44 UTC
cups-2.2.6-28.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2699fb66d

Comment 5 Fedora Update System 2018-12-13 17:43:50 UTC
cups-2.2.8-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4040dacb06

Comment 6 Fedora Update System 2018-12-13 17:57:54 UTC
cups-2.2.6-29.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-68028d9bbf

Comment 7 Fedora Update System 2018-12-15 03:19:39 UTC
cups-2.2.6-29.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-68028d9bbf

Comment 8 Fedora Update System 2018-12-17 19:12:15 UTC
cups-2.2.8-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-12-21 05:52:43 UTC
cups-2.2.6-30.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.